summaryrefslogtreecommitdiff
path: root/net-misc/endlessh/files/endlessh.initd
diff options
context:
space:
mode:
Diffstat (limited to 'net-misc/endlessh/files/endlessh.initd')
-rwxr-xr-xnet-misc/endlessh/files/endlessh.initd22
1 files changed, 22 insertions, 0 deletions
diff --git a/net-misc/endlessh/files/endlessh.initd b/net-misc/endlessh/files/endlessh.initd
new file mode 100755
index 000000000000..a88fd9c34c90
--- /dev/null
+++ b/net-misc/endlessh/files/endlessh.initd
@@ -0,0 +1,22 @@
+#!/sbin/openrc-run
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+depend() {
+ need localmount
+ use net
+}
+
+description="Starts endlessh tarpit"
+
+command="/usr/bin/endlessh"
+command_args="${ENDLESSH_ARGS}"
+command_background="true"
+extra_started_commands="reload"
+pidfile="/run/${RC_SVCNAME}.pid"
+
+reload() {
+ ebegin "Reloading ${RC_SVCNAME} configuration"
+ start-stop-daemon --exec $command --signal HUP
+ eend $?
+}